using System;
using System.Linq;
using System.Collections.Generic;

class program
{
    static void Main()
    {
        var ab = Console.ReadLine().Split(' ');
        var xy = Console.ReadLine().Split(' ');

        int a = int.Parse(ab[0]);
        int b = int.Parse(ab[1]);
        int x = int.Parse(xy[0]);
        int y = int.Parse(xy[1]);
        if (x == a && y == b)
        {
            Console.WriteLine("nijedan");
        }
        else if (x > a && y == b)
        {
            Console.WriteLine("prvi");
        }
        else if (x == a && y > b)
        {
            Console.WriteLine("drugi");
        }
        else
        {
            Console.WriteLine("?");
        }

    }
}